package cc.smtweb.system.bpm.web.sys.user.dataRightGroup;

import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.mvc.service.AbstractHandler;
import cc.smtweb.system.bpm.web.engine.dynPage.DynPageService;

/**
 * Created by 1 at 2022-08-04 17:45:35
 * 页面【[数据权限组]的服务类
 */
@SwService
public class DataRightGroupService extends DynPageService {
    //public final static String TYPE_DEMO = "demo";
    @Override
    protected AbstractHandler createHandler(String type) {
        switch (type) {
            case TYPE_LOAD:
                return new DataRightGroupHandler.DrgLoadHandle();
            case TYPE_SAVE:
                return new DataRightGroupHandler.DrgSaveHandler();
        }
        return super.createHandler(type);
    }

/* demo
    //自定义
    public R demo(@SwBody SwMap params, UserSession us) {
        return pageHandler(params, us, TYPE_DEMO, handler -> ((DemoHandler)handler).demo());
    }
*/

}
